version: "3.8"

secrets:
  config_json:
    file: ${FVTT_SECRETS_FILE}

services:
  foundryvtt:
    image: felddy/foundryvtt:release
    init: true
    restart: "unless-stopped"
    volumes:
      - type: bind
        source: ${FVTT_IN_DOCKER_DATA_DIRECTORY}
        target: /data
      - type: bind
        source: ${FVTT_IN_DOCKER_CONTAINER_CACHE_DIRECTORY}
        target: /container-cache
      - type: bind
        source: ${FVTT_IN_DOCKER_TOR1E_DIRECTORY}
        target: /data/data/systems/tor1e
    environment:
      - FVTT_IN_DOCKER_DATA_DIRECTORY
      - CONTAINER_CACHE=/container-cache
      - CONTAINER_PRESERVE_CONFIG=true
      - FOUNDRY_UID=501
      - FOUNDRY_GID=20
    ports:
      - target: "30000"
        published: "30000"
        protocol: tcp
    secrets:
      - source: config_json
        target: config.json